I updated lime survey yesterday and a problem happened after

More
10 months 2 days ago #185258 by LSSSurvey1
Hi,
I updated my lime survey yesterday and today i found out that there is a bug, one of the questions is showing up like the attached screenshot .. what i am guessing is there is a very long question and the new update is now putting a line break so the question text is pushing the answers area..
the survey is live and active and i can't replace it now.. any help or suggestions please?
Attachments:

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185259 by holch
From what version to what version did you update?

What template is used?

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185260 by LSSSurvey1
i had version 3 but not sure the sub version .. now i am on Version 4.0.0-beta+190509

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185262 by holch
You should not update to 4.0.0 beta, as it is still BETA. This is not for productive work, it is still in test phase and has not been released as stable.

Latest stable version is 3.17.4.

How did you update? Comfort Update clearly states that it is a BETA version and unstable.


I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds
Attachments:

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185263 by LSSSurvey1
is there anyway i can downgrade back?

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185264 by holch
That is a good question.

In theory, you should be able to manually downgrade. BUT, I don't know if there have been any updates to the database from LS 3 to LS 4 beta, and if so, if they have any impact on downgrading.

Are you a user of comfort update (paid)? If so, you could get in touch with Limesurvey GmbH and see if Louis has some feedback on how to best downgrade. You could create a support ticket (go to "Support" on the top navigation). But it should be quite late in Germany already, so you might have to wait until tomorrow.

As you are live, I guess you need to solve this rather sooner than later.

Another option could be, that your survey design template does not work well with LS 4. As far as I know, there shouldn't be any problems, but who knows.

If you are using a custom template, try to use one of the shipped templates and see what happens.

One other thing to look at: What is the value of "subquestion width" in this specific question?
manual.limesurvey.org/Question_type_-_Ar...subquestion_width.29

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185265 by LSSSurvey1
yes i am a paid user. i will reach out to GmbH.. thanks for the advice.

can you guide me where is the "subquestion_width" is located? i searched in the global setting and can't find it!, that might resolve the problem if i can find it and if it works.

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185266 by LSSSurvey1
i changed this setting "subquestion width" but when i save it gives an error saying "Question could not be stored, reload page" , i reload it and get the same problem.

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185267 by holch
Well, as I said, 4.0.0 beta is a unstable beta version, only for testing and bug hunting. It is not even a Release candidate, which generally have less bugs but are not yet classified as stable.

can you guide me where is the "subquestion_width" is located? i searched in the global setting and can't find it!, that might resolve the problem if i can find it and if it works.

Obviously you found it. As the link that I posted shows, it is a configuration of this specific question, not global settings.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds
The following user(s) said Thank You: LSSSurvey1

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185270 by cdorin
Please also check the /tmp directory (located in your LimeSurvey folder) for any backup.

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185274 by LSSSurvey1
I checked with the support and they don't have a solution for me.. i am on my own i guess.
i am thinking to change the value of "(Sub)question width (subquestion_width)" in the database because it also error out when i try to change it in the interface.. i am disprate for a solution..
anybody by chance knows which table in the database that stores the values of "(Sub)question width (subquestion_width)" ?

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185276 by holch
You took a huge risk by updating to an unstable version. I guess the risk to try a manual downgrade is probably a lot lower than that. I probably would try to downgrade and see what happens.

I assume you downloaded the backup file during the upgrade process, so you should be able to use this backup to get your installation back to the previous status. If something goes wrong, you can always try to upgrade back again, but I think the old version will work better than the 4.0 beta.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185277 by LSSSurvey1
how do you do the manual downgrade? do you have the instructions or the manual for that?

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185278 by holch
It should be basically the same way as it is with upgrading. You basically substitute the files you have with the files of the version you want to have, with a couple of exceptions that you need to save (config.php, custom templates, etc). This should not have changed much, but I would do some research in the forum if there have been discussions about that lately.
manual.limesurvey.org/upgrading_from_a_previous_version

However, I must confess, I haven't done a manual update/upgrade for a while.

If you don't want to risk anything, make a fresh install of 4.0.0 beta somewhere else (you can even copy your current database to use it for this test install to make it as similar as possible). Ideally even install it in parallel on the same server (different subdomain for example). It is just for testing and checking what happens. Once that is done (should be done in a couple of minutes - create a database dump -> create a new database with this dump -> install LS 4 beta using this copied database -> "update" to LS 3.17.4 -> See how your survey works on this test installation. If it works fine, you should be fine with your downgrade.

Don't forget, there is always a risk involved. But you seem to be the risky type, otherwise you wouldn't have upgraded your productive environment to a unstable branch of LS while running live surveys... ;-)

Always backup your files...

If you still have your backup from during the upgrade to LS 4, this should contain all your necessary files and you can probably delete/overwrite all files with that. You probably need to delete all files from 4.0.0 anyway, because there might be additional ones.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
10 months 2 days ago #185279 by LSSSurvey1
thanks.. i am not risky, but i am relatively new to LimeSurvey, and i wasn't ever expecting that they would put a broken version for customer to upgrade to.
i am so frustrated from LimeSurvey actully, and i would diffently not recommend it to others especially i am a paid customer and the support washed their hands and said they can do nothing to help... so disappointing.. what i know is they put a version in the market for users to upgreade, and so if i report a problem to them then i am expecting them to fix it and send an update ASAP, but not wash their hands..

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!